Bug 3193 - [UPDATE REQUEST] [UPSTREAM UPDATE] e2fsprogs
: [UPDATE REQUEST] [UPSTREAM UPDATE] e2fsprogs
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 13:45 MSK by Andrew Lukoshko
Modified: 2014-01-21 19:03 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-11-20 13:45:53 MSK
The resize2fs utility did not properly handle resizing of an ext4 file
system to a smaller size. As a consequence, files containing many extents
could become corrupted if they were moved during the resize process. With
this update, resize2fs now maintains a consistent extent tree when moving
files containing many extents, and such files no longer become corrupted in
this scenario.

https://rhn.redhat.com/errata/RHBA-2013-1502.html

https://abf.rosalinux.ru/build_lists/1390956
https://abf.rosalinux.ru/build_lists/1390957
Comment 1 Vladimir Potapov 2013-12-02 18:37:09 MSK
e2fsprogs-1.41.12-14.res6.4
******************** RELS Advisory ********************
The resize2fs utility did not properly handle resizing of an ext4 file
system to a smaller size. As a consequence, files containing many extents
could become corrupted if they were moved during the resize process. With
this update, resize2fs now maintains a consistent extent tree when moving
files containing many extents, and such files no longer become corrupted in
this scenario.
*******************************************************
QA Verified